import { OnInit, EventEmitter } from '@angular/core';
import { MatPaginator, MatTableDataSource, MatDialog, MatSort } from '@angular/material';
import { NotifierService } from 'angular-notifier';
import { NgxSpinnerService } from 'ngx-spinner';
export interface Data {
    operation: string;
    data: [string];
}
export declare class EditableTableComponent implements OnInit {
    dialog: MatDialog;
    private spinner;
    data: any;
    columns: any;
    editableColumns: any;
    dateColumns: any;
    pageSizeOptions: [string];
    notification: any;
    searchable: boolean;
    maxChar: number;
    action: EventEmitter<any>;
    paginator: MatPaginator;
    sort: MatSort;
    displayedColumns: string[];
    editableFields: any[];
    dateFields: any[];
    paginationOptions: any[];
    readonly notifier: NotifierService;
    k: number;
    rowData: Data;
    isSearchable: boolean;
    selectedRowIndex: number;
    maxCharsInColumn: number;
    message: string;
    isEnabled: boolean;
    isAddRequired: boolean;
    dataSource: MatTableDataSource<{}>;
    constructor(dialog: MatDialog, notifierService: NotifierService, spinner: NgxSpinnerService);
    ngOnInit(): void;
    applyFilter(filterValue: string): void;
    openEdit(rowData: any, i: number): void;
    closeEdit(rowData: any): void;
    formatDate(date: any): string;
    doneEdit(rowData: any): void;
    openDialog(rowData: any): void;
    removeFromArray(elementToBeDeleted: string): void;
    highlight(row: any): void;
    UI_notifications(status: string, message: string): void;
}
